#ifndef STA_CORE_UART_SETTINGS_HPP
#define STA_CORE_UART_SETTINGS_HPP

#include <stdint.h>

namespace sta
{
    enum class UARTMode
    {
        RX,
        TX,
        RX_TX
    };

    /**
     * @brief %UART settings.
     */
    struct UARTSettings
    {
        UARTMode mode;
    };
} // namespace sta

#endif // STA_CORE_UART_SETTINGS_HPP
